GuideLab API

List Sticker Template Categories

List sticker template categories for the lab with pagination, search, and template count per category. Clinic users must provide a labId.

GET
/sticker-templates/categories

List sticker template categories for the lab with pagination, search, and template count per category. Clinic users must provide a labId.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

includeInactive?string
Default"false"
search?string
page?integer
Range0 < value
Default1
limit?integer
Range0 < value <= 100
Default50
labId?string

Response Body

application/json

curl -X GET "https://example.com/sticker-templates/categories"
{  "data": [    {      "id": "string",      "labId": "string",      "name": "string",      "description": "string",      "sortOrder": 0,      "isActive": true,      "createdAt": "string",      "updatedAt": "string",      "templateCount": 0    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
Empty
Empty